• Support
  • Forums
  • Blogs

Problem update witch datadog-agent


New Life Form

I'm trying to update OSSIM with the datadog-agent updatate package

Configurando datadog-agent (1:5.20.0-1) ...
Registering service datadog-agent
Enabling service datadog-agent
datadog-agent            ................................
Invalid check configuration. Please run sudo /etc/init.d/datadog-agent configcheck for more details.
dpkg: error al procesar el paquete datadog-agent (--configure):
 el subproceso instalado el script post-installation devolvi? el c?digo de salida de error 1

Se encontraron errores al procesar:
E: Sub-process /usr/bin/dpkg returned an error code (1)

When I run the command, I´m recieving the error:

sudo /etc/init.d/datadog-agent configcheck

2017-11-27 09:14:44,014 | WARNING | dd.collector | config(config.py:405) | API key is invalid. Aborting.

Traceback (most recent call last):

  File "/opt/datadog-agent/agent/agent.py", line 630, in <module>


  File "/opt/datadog-agent/agent/agent.py", line 500, in main

    agentConfig = get_config(options=options)

  File "/opt/datadog-agent/agent/config.py", line 406, in get_config

    raise ApiKeyInvalid("API Key invalid")

config.ApiKeyInvalid: API Key invalid

In datadog.conf the api_key is empty

# The Datadog api key to associate your Agent's data with your organization.
# Can be found here:
# https://app.datadoghq.com/account/settings
# (default: None, the agent doesn't start without it)

I don´t want to use datadog, how can I disable it? 

Share post:


  • Same issue here on multiple clients.
  • @liskra99 and @shezzski, here is what I got from support.

    is currently a defect. The workaround is below. It will disable datadog from
    being requested in future feed updates. I'd recommend to copy and paste in step
    5. If you are using Putty, you can use Shift-Insert.

    1) apt-get purge data-dog-agent (answer yes to perform this)

    2) alienvault-update -c -v -d

    3) /etc/init.d/datadog-agent stop

    4) update-rc.d -f datadog-agent remove

    5) sed -i -e '/^[[:blank:]]*deb.*$/ s/^[[:blank:]]*/#/g'

    6) echo "datadog-agent hold" | dpkg --set-selections

  • Found a typo in the first line, should be 
    1) apt-get purge datadog-agent (answer yes to perform this
  • Will there be a notification, when datadog can be reactivated for future updates?
  • Hi @torstenkuehl we'll be pulling the datadog agent for the 5.5 release and addressing these issues in the 5.5.1 release. We'll make sure to notify everyone via the release notes when we've resolved the issues on our side. Thank you for your patience.
  • Thank u

    Now it´s OK.
Sign In or Register to comment.